Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004699OCaml~DO NOT USE (was: OCaml general)public2009-01-21 00:562009-03-31 13:34
Reporterglondu 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.11.1+dev 
Summary0004699: Regression: dlldbm.so wrongly linked
DescriptionThe stublib dlldbm.so is wrongly linked:

root@nickel:/# ocaml dbm.cma
Cannot load required shared library dllmldbm.
Reason: /usr/lib/ocaml/3.11.0/stublibs/dllmldbm.so: /usr/lib/ocaml/3.11.0/stublibs/dllmldbm.so: undefined symbol: dbm_firstkey.

Attached is a patch that fixes the problem.
TagsNo tags attached.
Attached Filespatch file icon dbm.patch [^] (304 bytes) 2009-01-21 00:56 [Show Content]

- Relationships

-  Notes
(0004894)
xleroy (administrator)
2009-03-31 13:34

Thanks for the patch. Applied in 3.11 bugfix branch, will be released in 3.11.1.

- Issue History
Date Modified Username Field Change
2009-01-21 00:56 glondu New Issue
2009-01-21 00:56 glondu File Added: dbm.patch
2009-03-31 13:34 xleroy Note Added: 0004894
2009-03-31 13:34 xleroy Status new => closed
2009-03-31 13:34 xleroy Resolution open => fixed
2009-03-31 13:34 xleroy Fixed in Version => 3.11.1+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker